# Uses of Enum Class
org.apache.cxf.interceptor.InterceptorChain.State

Packages that use InterceptorChain.State
Package
Description
org.apache.cxf.interceptor
org.apache.cxf.phase

- ## Uses of InterceptorChain.State in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return InterceptorChain.State
  Modifier and Type
  Method
  Description
  `InterceptorChain.State`
  InterceptorChain.`getState()`
  `static InterceptorChain.State`
  InterceptorChain.State.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InterceptorChain.State[]`
  InterceptorChain.State.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of InterceptorChain.State in org.apache.cxf.phase

  Methods in org.apache.cxf.phase that return InterceptorChain.State
  Modifier and Type
  Method
  Description
  `InterceptorChain.State`
  PhaseInterceptorChain.`getState()`